Linux Deploy
============

Copyright (C) 2012-2015  Антон Скшидлевский, [GPLv3](http://opensource.org/licenses/gpl-3.0.html)

Это приложение с открытым исходным кодом для простой и быстрой установки операционной системы (ОС) GNU/Linux на Android устройство.

Приложение создает образ диска на флеш-карте, монтирует его и устанавливает туда дистрибутив ОС. Приложения из новой системы запускаются в chroot окружении параллельно со штатной работой платформы Android. Все вносимые изменения на устройстве обратимы, т.е. приложение и созданные им компоненты можно полностью удалить. Установка дистрибутива ОС осуществляется по сети с официальных зеркал в Интернете. Для работы приложению требуются привилегии суперпользователя (ROOT).

Интерфейс программы поддерживает русский и английский языки. Через интерфейс программы можно управлять процессом установки ОС, а после установки можно запускать и останавливать службы новой системы (есть поддержка запуска своих сценариев). Процесс установки отображается в виде текстовых отчетов в главном окне приложения. Во время установки программа сама настраивает рабочее окружение, которое включает в себя базовую систему, сервер SSH, сервер VNC и графическую среду на выбор. Также через интерфейс программы можно управлять параметрами сервера SSH и VNC.

Установка новой ОС занимает около 30 минут. Рекомендованный минимальный размер образа диска без графического интерфейса - 512 МБ, а с графическим интерфейсом - 1024 МБ (для LXDE). При установке ОС в образ на карту памяти с файловой системой FAT32 размер образа не должен превышать 4095 МБ! После начальной установки пароль для доступа по SSH и VNC назначается как "changeme", который можно сменить стандартными средствами ОС.

#### Характеристики: ####
* Поддерживаемые дистрибутивы: Debian, Ubuntu, Kali Linux, Arch Linux, Fedora, CentOS, Gentoo, openSUSE, Slackware, RootFS (tgz, tbz2, txz)
* Тип установки: файл образа, раздел диска, оперативная память, директория
* Поддерживаемые файловые системы: ext2, ext3, ext4
* Поддерживаемые архитектуры: ARM, ARM64, x86, x86_64, режим эмуляции (ARM ~ x86)
* Интерфейс управления: CLI, SSH, VNC, X, фрейм-буфер
* Окружение рабочего стола: XTerm, LXDE, Xfce, GNOME, KDE, другое (ручная настройка)
* Поддерживаемые языки: русский, английский, немецкий, французский, итальянский, испанский, китайский, вьетнамский, словацкий, португальский

#### Установка ####
Вы можете установить это приложение из Google play: <https://play.google.com/store/apps/details?id=ru.meefik.linuxdeploy>.

#### Обновление ####
После обновления необходимо выполнить: Настройки -> Обновить окружение.

#### Производительность ####
Скорость чтения/записи SD карты (10 класс) на Android (Samsung Galaxy S II) для файловых систем vfat, ext2, ext4:
* **vfat**: скорость чтения 14.1 МБ/с; скорость записи 12.0 МБ/с
* **ext2**: скорость чтения 14.9 МБ/с; скорость записи 3.9 МБ/с
* **ext4**: скорость чтения 14.9 МБ/с; скорость записи 16.6 МБ/с
* **ext2 (loop)**: скорость чтения 17.0 МБ/с; скорость записи 7.4 МБ/с
* **ext4 (loop)**: скорость чтения 17.2 МБ/с; скорость записи 8.8 МБ/с

Время установки и занимаемое место на диске (Debian wheezy/armhf на Samsung Galaxy S II):
* **Без графики** ~ 0:12 / 260 МБ
* **XTerm** ~ 0:14 / 290 МБ
* **LXDE** ~ 0:19 / 450 МБ
* **XFCE** ~ 0:20 / 495 МБ
* **GNOME** ~ 0:55 / 1.3 ГБ
* **KDE** ~ 1:20 / 1.3 ГБ

#### Исходный код ####
Исходный код доступен по адресу: <https://github.com/meefik/linuxdeploy>. Этот исходный код написан с использованием Android SDK/NDK и Eclipse ADT plugin.

#### Поддержать проект ####
<http://meefik.github.io/donate.html>
